name: Matthew Petersen
locality: 
country: Remote
role: <a href="">Senior Product Analyst</a>
reports_to: cbraza
picture: matthewpetersen.jpg
pronouns: He/Him
pronunciation:
twitter:
linkedin:
gitlab: matthewpetersen
departments:
- Product
- Product Monetization & Operations
specialty: ""
expertise:
story:

